%global momorel 1

Summary: Google Calendar Synchronization Plug-In for OpenSync
Name: libopensync-plugin-google-calendar
Version: 0.22
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: PyXML
Requires: python-httplib2
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libX11-devel
BuildRequires: libopensync-devel
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRequires: python-httplib2

%description
This plug-in allows applications using OpenSync to synchronize to and
from Google Calendar.

Additionally install the libopensync package.

%prep
%setup -q

autoreconf -sfi

%build
%configure --libexecdir=%{_libdir}/opensync
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/opensync/plugins/gcalendar.so
%{_libdir}/opensync/google-cal-helper
%{_datadir}/opensync/defaults/google-calendar

%changelog
* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
